from typing import List
from pydantic import BaseModel

from ieg_validators.cloudport.models.crd import CRDBase


class Spec(BaseModel):
    name: str
    customerName: str
    accountDomain: str
    channelCode: str
    broadcastStartTime: str
    timeZone: str
    inputGraphicsResolution: str
    inputVideoResolution: List[str]
    videoResolution: str
    videoPid: str
    subtitleProcessing: str
    vchip: str
    enableLive: bool
    fullLengthPreview: str
    audioType: str
    noOfAudioChannels: str
    primaryAudioLanguage: str
    addUsers: List[str]
    enableCpIntegration: bool
    audioSubtitleConfig: str
    qc: str
    playlistValidations: str
    playlistTriggers: str
    config: str


class CRD(CRDBase):
    spec: Spec
